FLAC::Metadata::StreamInfo Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::StreamInfo:

## Public Member Functions

| StreamInfo (const StreamInfo &object)
| StreamInfo (const ::FLAC__StreamMetadata &object)
| StreamInfo (const ::FLAC__StreamMetadata *object)
| StreamInfo (::FLAC__StreamMetadata *object, bool copy)
StreamInfo & | operator= (const StreamInfo &object)
StreamInfo & | operator= (const ::FLAC__StreamMetadata &object)
StreamInfo & | operator= (const ::FLAC__StreamMetadata *object)
StreamInfo & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const StreamInfo &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const StreamInfo &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
uint32_t | get_min_blocksize () const
uint32_t | get_max_blocksize () const
uint32_t | get_min_framesize () const
uint32_t | get_max_framesize () const
uint32_t | get_sample_rate () const
uint32_t | get_channels () const
uint32_t | get_bits_per_sample () const
FLAC__uint64 | get_total_samples () const
const FLAC__byte * | get_md5sum () const
void | set_min_blocksize (uint32_t value)
void | set_max_blocksize (uint32_t value)
void | set_min_framesize (uint32_t value)
void | set_max_framesize (uint32_t value)
void | set_sample_rate (uint32_t value)
void | set_channels (uint32_t value)
void | set_bits_per_sample (uint32_t value)
void | set_total_samples (FLAC__uint64 value)
void | set_md5sum (const FLAC__byte value[16])
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions

Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes

::FLAC__StreamMetadata * | object_

## Detailed Description

STREAMINFO metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation